use 教学成绩管理数据库    --一段一段选中执行
go
create view 电子商务班学生信息表 as
select 学号, 姓名, 性别, 班级编号, 联系电话
from 学生信息表
where 班级编号='200301'

go
select * from 电子商务班学生信息表
insert 电子商务班学生信息表(学号, 姓名, 性别, 联系电话, 班级编号) 
values('110099','杨刚','男','0351-6339999','200301') 
select * from 电子商务班学生信息表

update 电子商务班学生信息表 
  set 姓名='殷柔', 性别='女'
  where 学号='110099'
select * from 电子商务班学生信息表

select * from 电子商务班学生信息表 where 性别='男'

delete 电子商务班学生信息表 
  where 学号='110099'
select * from 电子商务班学生信息表

drop view 电子商务班学生信息表
